Package org.jsoup.select

# Enum NodeFilter.FilterResult

java.lang.Object
java.lang.Enum<NodeFilter.FilterResult>
org.jsoup.select.NodeFilter.FilterResult

All Implemented Interfaces:
  `Serializable`, `Comparable<NodeFilter.FilterResult>`, `java.lang.constant.Constable`

Enclosing interface:
  `NodeFilter`

public static enum NodeFilter.FilterResult extends Enum<NodeFilter.FilterResult>
Filter decision.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONTINUE`
Continue processing the tree
`REMOVE`
Remove the node and its children
`SKIP_CHILDREN`
Skip the child nodes, but do call `NodeFilter.tail(Node, int)` next.
`SKIP_ENTIRELY`
Skip the subtree, and do not call `NodeFilter.tail(Node, int)`.
`STOP`
Stop processing

## Method Summary

Modifier and Type
Method
Description
`static NodeFilter.FilterResult`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static NodeFilter.FilterResult[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CONTINUE

public static final NodeFilter.FilterResult CONTINUE
Continue processing the tree

### SKIP_CHILDREN

public static final NodeFilter.FilterResult SKIP_CHILDREN
Skip the child nodes, but do call `NodeFilter.tail(Node, int)` next.

### SKIP_ENTIRELY

public static final NodeFilter.FilterResult SKIP_ENTIRELY
Skip the subtree, and do not call `NodeFilter.tail(Node, int)`.

### REMOVE

public static final NodeFilter.FilterResult REMOVE
Remove the node and its children

### STOP

public static final NodeFilter.FilterResult STOP
Stop processing

## Method Details

### values

public static NodeFilter.FilterResult[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static NodeFilter.FilterResult valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null